com.trendmicro.ds.platform.rest.object.smartfolder

## Enum Model.Operator

- java.lang.Object
- - java.lang.Enum<Model.Operator>
  - - com.trendmicro.ds.platform.rest.object.smartfolder.Model.Operator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Model.Operator>
  Enclosing class:
    Model

      public static enum Model.Operator
      extends java.lang.Enum<Model.Operator>

  List of Operators that are accepted by a Smart Folder Query.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY_VALUE`
    `CONTAINS`
    `DOES_NOT_CONTAIN`
    `EQUALS`
    `IN_RANGE`
    `NOT_EQUALS`
    `NOT_IN_RANGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Model.Operator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Model.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final Model.Operator EQUALS

    - #### NOT_EQUALS

          public static final Model.Operator NOT_EQUALS

    - #### CONTAINS

          public static final Model.Operator CONTAINS

    - #### DOES_NOT_CONTAIN

          public static final Model.Operator DOES_NOT_CONTAIN

    - #### ANY_VALUE

          public static final Model.Operator ANY_VALUE

    - #### IN_RANGE

          public static final Model.Operator IN_RANGE

    - #### NOT_IN_RANGE

          public static final Model.Operator NOT_IN_RANGE

  - ### Method Detail

    - #### values

          public static Model.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Model.Operator c : Model.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Model.Operator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Model.Operator>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.